Subject: Re: bug#18548: Emacs whitespace mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Feb 2022 15:58:33 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 23 Feb 2022 14:18:46 +0100
> Cc: Kip Coul <[email-masked]>, Stefan Kangas <[email-masked]>,
>  Jack Morrison <[email-masked]>, [email-masked]
> 
> So I don't know whether anything can or should be done in this case.  I
> think that (perhaps) a reasonable default would be to remove that
> mapping -- whitespace-mode (by default) marks TAB characters anyway with
> a face, so having a » in addition is somewhat superfluous.  On the other
> hand, it's been like this forever, so perhaps we should just document
> the quirk instead.  Or add a defcustom to allow for easier toggling, and
> the defcustom would then also act as documentation for this.
> 
> Any opinions?

I think the only way to fix this (and I agree that it's a marginal use
case) is to introduce some special syntax into display-table notation,
and then teach the display engine to ignore the TAB when whatever is
before it in the display-table entry already ends at a tab stop, and
the display-table entry has that special syntax.

Not sure if it's worth the hassle.

In any case, most of the implementation should be in the display
engine, because that's where the TAB display is implemented in Emacs.